コンパイラーのコンプライアンスレベルの設定 - 7.0

Talend StudioのカスタマイズとStudioの環境設定

author
Talend Documentation Team
EnrichVersion
7.0
EnrichProdName
Talend Data Fabric
task
インストールとアップグレード
ジョブデザインと開発
データクオリティとプレパレーション > データクレンジング
データクオリティとプレパレーション > データプロファイリング
EnrichPlatform
Talend Administration Center
Talend DQ Portal
Talend Installer
Talend Runtime
Talend Studio

このタスクについて

コンパイラーのコンプライアンスレベルは、ジョブコードの生成に使用したJavaバージョンに対応します。

コンパイラーのコンプライアンスレベルの互換性については、『Talend Installation and Upgrade GuideTalend Installation and Upgrade Guide』を参照して下さい。

手順

  1. Studioのメインウィンドウのツールバーで、をクリックするか、メニューバーで[File] (ファイル) > [Edit Project Properties] (プロジェクトプロパティの編集)の順にクリックして、[Project Settings] (プロジェクト設定)ダイアログボックスを開きます。
  2. [Build] (ビルド)ノードを展開し、[Java Version] (Javaバージョン)をクリックします。
  3. [JDK Compiler compliance level] (JDKコンパイラーコンプライアンスレベル)リストから、使用したいコンパイラーのコンプライアンスレベルを選択し、[OK]をクリックします。